Bug 132863 - Redlining crash in Writer
Redlining crash in Writer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-18 00:15 EDT by Dan Williams
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-25 15:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Segfaults writer (52.00 KB, application/vnd.ms-word)
2004-09-18 00:15 EDT, Dan Williams
no flags Details
the patch that should fix it (713 bytes, patch)
2004-09-20 03:59 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Dan Williams 2004-09-18 00:15:13 EDT
This doc segfaults 1.1.x Writer, but not 2.0M51.  Seems to be
redlining code.
Comment 1 Dan Williams 2004-09-18 00:15:58 EDT
Created attachment 103971 [details]
Segfaults writer
Comment 2 Dan Williams 2004-09-18 00:16:53 EDT
hmm, new backtrace.

Backtrace was generated from '/usr/lib/ooo-1.1/program/soffice.bin'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its
symbols.
[Thread debugging using libthread_db enabled]
[New Thread -151008512 (LWP 2009)]
[New Thread 48356272 (LWP 2083)]
[Thread debugging using libthread_db enabled]
[New Thread -151008512 (LWP 2009)]
[New Thread 48356272 (LWP 2083)]
[Thread debugging using libthread_db enabled]
[New Thread -151008512 (LWP 2009)]
[New Thread 48356272 (LWP 2083)]
[New Thread 1463172016 (LWP 2073)]
[New Thread -182436944 (LWP 2063)]
[New Thread -170816592 (LWP 2044)]
[New Thread -160265296 (LWP 2031)]
0x00853402 in __kernel_vsyscall ()
#0  0x00853402 in __kernel_vsyscall ()
#1  0x0882838b in __waitpid_nocancel () from /lib/tls/libc.so.6
#2  0x087d4005 in do_system () from /lib/tls/libc.so.6
#3  0x087d43b3 in system () from /lib/tls/libc.so.6
#4  0x00b2f20d in system () from /lib/tls/libpthread.so.0
#5  0x00ebf9ab in ReportCrash (Signal=11) at signal.c:581
#6  0x00ebfc48 in SignalHandlerFunction (Signal=11) at signal.c:737
#7  <signal handler called>
#8  wwRedlineStack::closeall (this=0x0, rPos=@0x8d6ea7c) at _vector.h:169
#9  0x56535863 in WW8TabDesc::FinishSwTable (this=0x8d6ddc8) at
pam.hxx:223
#10 0x5653770c in SwWW8ImplReader::StopTable (this=0x8d6ed28)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par2.cxx:3131
#11 0x565248c8 in SwWW8ImplReader::ProcessSpecial (this=0x8d6ed28, 
    rbReSync=@0xfee7611b, nStartCp=345)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par.cxx:1610
#12 0x56525bd3 in SwWW8ImplReader::ProcessAktCollChange (this=0x8d6ed28, 
    rRes=@0xfee76170, pStartAttr=0xfee7616f, bCallProcessSpecial=true)
    at ww8scan.hxx:903
#13 0x56525d93 in SwWW8ImplReader::ReadTextAttr (this=0x8d6ed28, 
    rTxtPos=@0xfee76228, rbStartLine=@0xfee7622f)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par.cxx:2126
#14 0x56525fc8 in SwWW8ImplReader::ReadAttrs (this=0x8d6ed28, 
    rNext=@0xfee76224, rTxtPos=@0xfee76228, rbStartLine=@0xfee7622f)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par.cxx:2208
#15 0x56526447 in SwWW8ImplReader::ReadText (this=0x8d6ed28, nStartCp=0, 
    nTextLen=807, nType=0)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par.cxx:2281
#16 0x5652a72a in SwWW8ImplReader::LoadDoc1 (this=0x8d6ed28, rPaM=@0x0, 
    pGloss=0x0)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par.cxx:3044
#17 0x5652c1ac in SwWW8ImplReader::LoadDoc (this=0x8d6ed28, rPaM=@0x0, 
    pGloss=0x0)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par.cxx:3500
#18 0x5652c36d in WW8Reader::Read (this=0x1849790, rDoc=@0x521f618,
rPam=@0x0)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/ww8/ww8par.cxx:3561
#19 0x56410c43 in SwReader::Read (this=0x3a55170, rOptions=@0x1849790)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/filter/basflt/shellio.cxx:289
#20 0x565c0886 in SwDocShell::ConvertFrom (this=0x3ceed58, rMedium=@0x0)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sw/source/ui/app/docsh.cxx:475
#21 0x02a7e372 in SfxObjectShell::DoLoad (this=0x3ceed58, pMed=0x55f5558)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/doc/objstor.cxx:670
#22 0x029fef0f in LoadEnvironment_Impl::Load (this=0x521f000, 
    pFactory=0x15f0258) at doctempl.hxx:78
#23 0x02a008ab in LoadEnvironment_Impl::LoadDataAvailable (this=0x521f000)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/appl/loadenv.cxx:1387
#24 0x02a00a56 in LoadEnvironment_Impl::LoadDataAvailable (this=0x521f000)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/appl/loadenv.cxx:1452
#25 0x029fe0da in LoadEnvironment_Impl::Start (this=0x521f000)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/appl/loadenv.cxx:733
#26 0x02adf8f3 in SfxFrameLoader_Impl::load (this=0x55f5430, 
    rArgs=@0xfee77260, rFrame=@0xfee77280)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/view/frmload.cxx:474
#27 0x02333b0e in framework::BaseDispatcher::implts_loadIt
(this=0x3ceec78, 
    aURL=@0xfee77450, lDescriptor=@0xfee77260, sTypeName=@0x0, 
    xTarget=@0xfee77280, aAsyncInfo=@0xfee77160) at Reference.h:334
#28 0x02339f88 in framework::BlankDispatcher::dispatch (this=0x3ceec78, 
    aURL=@0xfee77450, lArguments=@0xfee77ae0) at Any.hxx:93
#29 0x029bd286 in SfxApplication::OpenDocExec_Impl (this=0x8a5e7b8, 
    rReq=@0x4411140) at Reference.h:334
#30 0x029d1106 in SfxStubSfxApplicationOpenDocExec_Impl (pShell=0x0,
rReq=@0x0)
    at sfxslots.hxx:1559
#31 0x02b2f9f2 in SfxDispatcher::Call_Impl (this=0x3c04668,
rShell=@0x8a5e7b8, 
    rSlot=@0x2c96e10, rReq=@0x4411140, bRecord=1 '\001') at shell.hxx:229
#32 0x02b32489 in SfxDispatcher::PostMsgHandler (this=0x3c04668, 
    pReq=0x4411140)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/control/dispatch.cxx:1557
#33 0x02b3239c in SfxDispatcher::LinkStubPostMsgHandler (pThis=0x0, 
    pCaller=0x0)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/control/dispatch.cxx:1524
#34 0x02b54a41 in SfxHintPoster::Event (this=0x3c04aa8,
pPostedHint=0x4411140)
    at link.hxx:159
#35 0x02b549f3 in SfxHintPoster::LinkStubDoEvent_Impl (pThis=0x3c04aa8, 
    pCaller=0x8d6ddc8)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/sfx2/source/notify/hintpost.cxx:110
#36 0x0031982e in ImplHandleUserEvent (pSVEvent=0x3cedb88) at link.hxx:159
#37 0x0031a178 in ImplWindowFrameProc (pInst=0x15d56b8, pFrame=0x460c290, 
    nEvent=56776, pEvent=0x3cedb88)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vcl/source/window/winproc.cxx:2348
#38 0x0623ded1 in SalDisplay::DispatchInternalEvent (this=0x69111c8)
    at salframe.hxx:283
#39 0x010c8022 in GtkXLib::userEventFn (data=0x6910ff8)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vcl/unx/gtk/app/gtkdata.cxx:621
#40 0x0576b848 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#41 0x057684fb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#42 0x05769f82 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#43 0x0576a468 in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
#44 0x010c815e in GtkXLib::Yield (this=0x6910ff8, bWait=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vcl/unx/gtk/app/gtkdata.cxx:653
#45 0x06241609 in X11SalInstance::Yield (this=0x6910fb0, bWait=1 '\001')
    at saldata.hxx:143
#46 0x001c61a6 in Application::Yield ()
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vcl/source/app/svapp.cxx:767
#47 0x001c60b3 in Application::Execute ()
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vcl/source/app/svapp.cxx:724
#48 0x08065374 in desktop::Desktop::Main (this=0x80c3c00)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/desktop/source/app/app.cxx:1594
#49 0x001caf2c in SVMain ()
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vcl/source/app/svmain.cxx:260
#50 0x0037d8d4 in main (argc=2, argv=0xfee78264)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vcl/unx/source/plugadapt/salmain.cxx:93
#51 0x087b4a93 in __libc_start_main () from /lib/tls/libc.so.6
#52 0x0805e0dd in _start ()

Thread 6 (Thread -160265296 (LWP 2031)):
#0  0x00853402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00b2e158 in accept () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00ec0535 in osl_acceptPipe (pPipe=0x9223c18) at pipe.c:459
	s = 124841936
	flags = -512
	pAcceptedPipe = 0x9223c18
#3  0x0082d28e in vos::OPipe::accept (this=0x770efbc,
Connection=@0x770efd0)
    at refobj.inl:99
No locals.
#4  0x0806f7c5 in desktop::OfficeIPCThread::run (this=0x770efa8)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/desktop/source/app/officeipcthread.cxx:533
	nError = 4294966784
#5  0x00826db2 in vos::_cpp_OThread_WorkerFunction (pthis=0x770efa8)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vos/source/thread.cxx:89
No locals.
#6  0x00826d97 in _OThread_WorkerFunction (pthis=0xfffffe00)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vos/source/thread.cxx:75
No locals.
#7  0x00eb53a4 in osl_thread_start_Impl (pData=0x9223660) at thread.c:305
	_buffer = {__routine = 0xeb523b <osl_thread_cleanup_Impl>, 
  __arg = 0x9223660, __canceltype = 11743220, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x9223660
#8  0x00b28f5c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#9  0x08863cea in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 5 (Thread -170816592 (LWP 2044)):
#0  0x00853402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00b2b825 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00eb1daf in osl_waitCondition (Condition=0x922b810,
pTimeout=0xf5d18a00)
    at conditn.c:297
	ret = -4
	tp = {tv_sec = 1095480409, tv_usec = 590825}
	to = {tv_sec = 1095480469, tv_nsec = 590733000}
	pCond = (oslConditionImpl *) 0x922b810
	nRet = -4
#3  0x008203fd in vos::OCondition::wait (this=0xfffffffc,
pTimeout=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vos/source/conditn.cxx:104
No locals.
#4  0x0082a410 in vos::OTimerManager::run (this=0x11b2b88)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vos/source/timer.cxx:523
	delay = {<TimeValue> = {Seconds = 59, 
    Nanosec = 999908000}, <No data fields>}
	pDelay = (vos::TTimeValue *) 0xf5d18a00
#5  0x00826db2 in vos::_cpp_OThread_WorkerFunction (pthis=0x11b2b88)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vos/source/thread.cxx:89
No locals.
#6  0x00826d97 in _OThread_WorkerFunction (pthis=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/vos/source/thread.cxx:75
No locals.
#7  0x00eb53a4 in osl_thread_start_Impl (pData=0x922b860) at thread.c:305
	_buffer = {__routine = 0xeb523b <osl_thread_cleanup_Impl>, 
  __arg = 0x922b860, __canceltype = 0, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x922b860
#8  0x00b28f5c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#9  0x08863cea in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 4 (Thread -182436944 (LWP 2063)):
#0  0x00853402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0885a214 in poll () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x06a19855 in x11::SelectionManager::dispatchEvent (this=0x7c0cb80, 
    millisec=-4)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/dtrans/source/X11/X11_selection.cxx:3585
	aPollFD = {fd = 23, events = 1, revents = 0}
	event = {type = 153686832, xany = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    window = 11708743}, xkey = {type = 153686832, serial = 4112529744, 
    send_event = 32, display = 0x9291330, window = 11708743, root = 213, 
    subwindow = 263743040, time = 17115436, x = 130075520, y = 153713616, 
    x_root = -182437512, y_root = 15423573, state = 153713632, 
    keycode = 4112530352, same_screen = -182437512}, xbutton = {
    type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, window = 11708743, root = 213, subwindow =
263743040, 
    time = 17115436, x = 130075520, y = 153713616, x_root = -182437512, 
    y_root = 15423573, state = 153713632, button = 4112530352, 
    same_screen = -182437512}, xmotion = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    window = 11708743, root = 213, subwindow = 263743040, time =
17115436, 
    x = 130075520, y = 153713616, x_root = -182437512, y_root = 15423573, 
    state = 153713632, is_hint = -80 '°', same_screen = -182437512}, 
  xcrossing = {type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, window = 11708743, root = 213, subwindow =
263743040, 
    time = 17115436, x = 130075520, y = 153713616, x_root = -182437512, 
    y_root = 15423573, mode = 153713632, detail = -182436944, 
    same_screen = -182437512, focus = 14695758, state = 15157548},
xfocus = {
    type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, window = 11708743, mode = 213, detail =
263743040}, 
  xexpose = {type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, window = 11708743, x = 213, y = 263743040, 
    width = 17115436, height = 130075520, count = 153713616}, 
  xgraphicsexpose = {type = 153686832, serial = 4112529744, send_event
= 32, 
    display = 0x9291330, drawable = 11708743, x = 213, y = 263743040, 
    width = 17115436, height = 130075520, count = 153713616, 
    major_code = -182437512, minor_code = 15423573}, xnoexpose = {
    type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, drawable = 11708743, major_code = 213, 
    minor_code = 263743040}, xvisibility = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    window = 11708743, state = 213}, xcreatewindow = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    parent = 11708743, window = 213, x = 263743040, y = 17115436, 
    width = 130075520, height = 153713616, border_width = -182437512, 
    override_redirect = 15423573}, xdestroywindow = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    event = 11708743, window = 213}, xunmap = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    event = 11708743, window = 213, from_configure = 263743040}, xmap = {
    type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, event = 11708743, window = 213, 
    override_redirect = 263743040}, xmaprequest = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    parent = 11708743, window = 213}, xreparent = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    event = 11708743, window = 213, parent = 263743040, x = 17115436, 
    y = 130075520, override_redirect = 153713616}, xconfigure = {
    type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, event = 11708743, window = 213, x = 263743040, 
    y = 17115436, width = 130075520, height = 153713616, 
    border_width = -182437512, above = 15423573, 
    override_redirect = 153713632}, xgravity = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    event = 11708743, window = 213, x = 263743040, y = 17115436}, 
  xresizerequest = {type = 153686832, serial = 4112529744, send_event
= 32, 
    display = 0x9291330, window = 11708743, width = 213, height =
263743040}, 
  xconfigurerequest = {type = 153686832, serial = 4112529744,
send_event = 32, 
    display = 0x9291330, parent = 11708743, window = 213, x = 263743040, 
    y = 17115436, width = 130075520, height = 153713616, 
    border_width = -182437512, above = 15423573, detail = 153713632, 
    value_mask = 4112530352}, xcirculate = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    event = 11708743, window = 213, place = 263743040},
xcirculaterequest = {
    type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, parent = 11708743, window = 213, place =
263743040}, 
  xproperty = {type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, window = 11708743, atom = 213, time = 263743040, 
    state = 17115436}, xselectionclear = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    window = 11708743, selection = 213, time = 263743040}, 
  xselectionrequest = {type = 153686832, serial = 4112529744,
send_event = 32, 
    display = 0x9291330, owner = 11708743, requestor = 213, 
    selection = 263743040, target = 17115436, property = 130075520, 
    time = 153713616}, xselection = {type = 153686832, serial =
4112529744, 
    send_event = 32, display = 0x9291330, requestor = 11708743, 
    selection = 213, target = 263743040, property = 17115436, 
    time = 130075520}, xcolormap = {type = 153686832, serial =
4112529744, 
    send_event = 32, display = 0x9291330, window = 11708743, colormap
= 213, 
    c_new = 263743040, state = 17115436}, xclient = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    window = 11708743, message_type = 213, format = 263743040, data = {
      b = ",)\005\001\200ËÀ\aÐ{)\tx9 õUXë", s = {10540, 261, -13440,
1984, 
        31696, 2345, 14712, -2784, 22613, 235}, l = {17115436, 130075520, 
        153713616, -182437512, 15423573}}}, xmapping = {type = 153686832, 
    serial = 4112529744, send_event = 32, display = 0x9291330, 
    window = 11708743, request = 213, first_keycode = 263743040, 
    count = 17115436}, xerror = {type = 153686832, display = 0xf5203950, 
    resourceid = 32, serial = 153686832, error_code = 71 'G', 
    request_code = 169 '©', minor_code = 178 '²'}, xkeymap = {
    type = 153686832, serial = 4112529744, send_event = 32, 
    display = 0x9291330, window = 11708743, 
    key_vector = "Õ\000\000\000@f¸\017,)\005\001\200ËÀ\aÐ{)\tx9
õUXë\000à{)\t"}, pad = {153686832, -182437552, 32, 153686832,
11708743, 213, 263743040, 
    17115436, 130075520, 153713616, -182437512, 15423573, 153713632, 
    -182436944, -182437512, 14695758, 15157548, -182437552, 0, 1,
219217921, 
    0, 0, 111269354}}
#3  0x06a199c7 in x11::SelectionManager::run (pThis=0x7c0cb80)
    at
/usr/src/debug/ooo-build-cvs20040915/build/OOO_1_1_2/dtrans/source/X11/X11_selection.cxx:3630
	aNow = {tv_sec = 1095480413, tv_usec = 530904}
	This = (x11::SelectionManager *) 0x7c0cb80
	aLast = {tv_sec = 1095480413, tv_usec = 530904}
#4  0x00eb53a4 in osl_thread_start_Impl (pData=0x9297bd0) at thread.c:305
	_buffer = {__routine = 0xeb523b <osl_thread_cleanup_Impl>, 
  __arg = 0x9297bd0, __canceltype = 0, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x9297bd0
#5  0x00b28f5c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#6  0x08863cea in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 3 (Thread 1463172016 (LWP 2073)):
#0  0x00853402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0885a214 in poll () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x05769f13 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x0576a22f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x03e01b0f in link_thread_io_context () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x057bf1a4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0x57363aa8 in ?? ()
No symbol table info available.
#7  0x057825c2 in g_static_private_free () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#0  0x00853402 in __kernel_vsyscall ()
Comment 3 Caolan McNamara 2004-09-19 11:01:20 EDT
Almost certainly this is
http://www.openoffice.org/issues/show_bug.cgi?id=29731
Comment 4 Caolan McNamara 2004-09-20 03:59:05 EDT
Created attachment 104008 [details]
the patch that should fix it
Comment 5 Dan Williams 2004-09-20 09:48:31 EDT
ok, should be fixed in 1.1.2-5
Comment 6 Caolan McNamara 2004-09-20 10:10:12 EDT
I'm not sure about that, it still crashes in 1.1.2-5. Apparently the
patch isn't in the tree yet. I've gotten mmeeks to add it to ooo-build
now. So its good there.
Comment 7 Dan Williams 2004-09-20 10:15:38 EDT
Yes, I just patched our stuff, so it will be in 1.1.2-5, just not the
one from my people page.

Note You need to log in before you can comment on or make changes to this bug.